Product Catalog Destinations
Updated: Aug 27, 2024
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Travel destinations in a catalog. See Dynamic Ads for Travel, Catalog Setup.
Reading
Retrieve destinations from a product catalog
Example
GET /v25.0/{product-catalog-id}/destinations HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
bulk_paginationboolean |
Used for iterating over the edge in large chunks
|
filterA JSON-encoded rule |
JSON-encoded WCA rule expression representing the filter to be applied for the edge
|
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of Destination nodes.
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=total_count).
| Field | Description |
|---|---|
total_countunsigned int32 |
Total number of destinations returned by the query
|
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
Creating
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.